Skip to main content

Create Account

Endpoint: POST /accounts

Authentication: Bearer Token (required)

Description

Creates a new account in the general ledger. Accounts can be of various types (ASSET, EXPENSE, etc.) and categories (CURRENT, OPERATING, etc.).

Request

Headers

NameTypeRequiredDescription
Content-TypestringYesMust be application/json
AuthorizationstringYesBearer token for authentication

Request Body

{
"name": "Stock Adjustment",
"description": "Stock adjustment offset account",
"alternateAccountNumber": null,
"type": "EXPENSE",
"category": "OPERATING",
"ledger": "GL",
"partyType": "COMPANY",
"party": "Ellis Class Electronics",
"companyStringId": "bf754600-4935-4946-baf3-dec48ee936e9",
"currencyStringId": "0cb02a6b-dd2c-4179-bca7-236c72a1d3fb",
"customerStringId": null
}

Request Body Fields

FieldTypeRequiredDescription
namestringYesThe name of the account
descriptionstringNoA description of the account's purpose
alternateAccountNumberstringNoAn alternate identifier for the account
typestringYesThe account type. One of: ASSET, LIABILITY, EQUITY, REVENUE, EXPENSE
categorystringYesThe account category. One of: CURRENT, NON_CURRENT, OPERATING, NON_OPERATING
ledgerstringYesThe ledger type. Must be GL (General Ledger)
partyTypestringYesThe type of party associated with the account. One of: COMPANY, CUSTOMER, SUPPLIER
partystringYesThe name of the party associated with the account
companyStringIdstringYesThe UUID of the company that owns the account
currencyStringIdstringYesThe UUID of the currency for the account
customerStringIdstringNoThe UUID of the customer (required if partyType is CUSTOMER)